GET
/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons2609170000[立减优惠券] 查看优惠券列表(orderId)
# 01
简介
[立减优惠券] 查看优惠券列表(orderId)
# 02
详细内容
API支持的买家用户地区:韩国
该API用于按照订单号码状态查看创建的优惠券列表。
路径
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/8000000000294/coupons# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) A00012345 |
| orderId* | number | 订单号码
|
# 04
响应体
响应消息
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器响应代码
| ||||||||||||
| message | string | 服务器响应信息
| ||||||||||||
| httpStatus | integer | HTTP
| ||||||||||||
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
| ||||||||||||
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息。
| ||||||||||||
| data | object | 优惠券列表数据
| ||||||||||||
| success data.success | boolean | 成功与否 true or false | ||||||||||||
| content data.content | object[] | 优惠券列表
| ||||||||||||
| contractId data.content[].contractId | integer | 卖家合同号码 ex) 1, 2 | ||||||||||||
| couponId data.content[].couponId | integer | 优惠券号码 ex) 75, 80 | ||||||||||||
| discount data.content[].discount | integer | 折扣 ex) 100.0, 20.0 | ||||||||||||
| endAt data.content[].endAt | string | 有效期结束时间 日期/时间 ex) 2017-09-01 00:00:00 | ||||||||||||
| maxDiscountPrice data.content[].maxDiscountPrice | integer | 最大优惠金额 ex) 1000, 10000 | ||||||||||||
| promotionName data.content[].promotionName | string | 促销名称 ex) Dress discount coupon for the 2nd wk of Jan | ||||||||||||
| startAt data.content[].startAt | string | 有效期开始时间 日期/时间 ex) 2017-08-04 01:00:00 | ||||||||||||
| status data.content[].status | string | 优惠券状态
| ||||||||||||
| type data.content[].type | string | 折扣类型 ex) RATE (固定比例折扣), FIXED_WITH_QUANTITY (满足订单产品数量的折扣) and PRICE (固定金额折扣) | ||||||||||||
| wowExclusive data.content[].wowExclusive | string | 折扣受众 false (全部买家: 默认) true (火箭会员用户) | ||||||||||||
| vendorItemId data.content[].vendorItemId | integer | 产品单项号码 ex) 3223826213 | ||||||||||||
| Pagination data.Pagination | string | 使用订单号码查询没有分页
|
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"vendorItemId": 5500016112,
"contractId": 10,
"promotionName": "99%",
"couponId": 91,
"status": "PAUSED",
"type": "RATE",
"maxDiscountPrice": 1000000,
"discount": 99,
"startAt": "2017-11-22 00:00:00",
"endAt": "2017-11-23 23:59:00",
"wowExclusive": "false"
},
{
"vendorItemId": 53000439458,
"contractId": 7,
"promotionName": "자유계약 원피스 폭탄 세일 시즌 1",
"couponId": 65,
"status": "PAUSED",
"type": "RATE",
"maxDiscountPrice": 1000,
"discount": 10,
"startAt": "2017-09-22 00:00:00",
"endAt": "2017-09-23 23:59:00",
"wowExclusive": "false"
}
],
"pagination": null
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 请确认卖家权限 | 查看卖家ID(vendorid)值是否输入正确 |